# Type alias Queryable<T>

Queryable<T>: ((query, payloads?) => boolean)

#### Type Parameters

- #### T extends QueryBoundWitness = QueryBoundWitness

#### Type declaration

- - (query, payloads?): boolean

  - #### Parameters

    - ##### query: T

    - ##### `Optional` payloads: Payload[]

    #### Returns boolean

- Defined in modules/packages/module/packages/abstract/dist/types/QueryValidator/QueryValidator.d.ts:3

Generated using TypeDoc